{ system ? builtins.currentSystem }:

let
  sources = import ./nix/sources.nix;
  pkgs = import sources.nixpkgs { };
  callPackage = pkgs.lib.callPackageWith pkgs;
  tron = callPackage ./default.nix { };

  dockerImage = pkg:
    pkgs.dockerTools.buildLayeredImage {
      name = "xena/tron";
      tag = pkg.version;

      contents = [ pkgs.cacert pkg ];

      config = {
        Cmd = [ "/bin/tron" ];
        WorkingDir = "/";
      };
    };

in dockerImage tron
